Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.sql
Class ClusterPoolDataSource

    com.caucho.sql.ClusterPoolDataSource

public class ClusterPoolDataSource

Returns PooledConnections when the underlying JDBC implementation doesn't support them.

Constructor Summary
`ClusterPoolDataSource()`

Method Summary
`java.sql.Connection` | `getConnection()` Driver interface to create a new connection.
`java.sql.Connection` | `getConnection(java.lang.String user, java.lang.String password)` Driver interface to create a new connection.
`int` | `getLoginTimeout()`
`java.io.PrintWriter` | `getLogWriter()`
`java.lang.String` | `getPoolNames()`
`void` | `init()`
`void` | `setLoginTimeout(int foo)`
`void` | `setLogWriter(java.io.PrintWriter log)`
`void` | `setPoolNames(java.lang.String names)`

Constructor Detail

### ClusterPoolDataSource

    public ClusterPoolDataSource()

Method Detail

### getPoolNames

    public java.lang.String getPoolNames()

### setPoolNames

    public void setPoolNames(java.lang.String names)

### init

    public void init()
              throws java.sql.SQLException

### getConnection

    public java.sql.Connection getConnection(java.lang.String user,
                                             java.lang.String password)
                                      throws java.sql.SQLException

  Driver interface to create a new connection.

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Driver interface to create a new connection.

### getLoginTimeout

    public int getLoginTimeout()

### getLogWriter

    public java.io.PrintWriter getLogWriter()

### setLoginTimeout

    public void setLoginTimeout(int foo)

### setLogWriter

    public void setLogWriter(java.io.PrintWriter log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD